PlotWizard Class Reference

A wizard type dialog class to create new plots. More...

`#include <PlotWizard.h>`

Inheritance diagram for PlotWizard:

## Public Slots

void | accept ()
| Accept settings, close the dialog. More...
void | addCurve ()
| Add new curve. More...
void | addXCol ()
| Add column as X. More...
void | addXErrCol ()
| Add column as X error. More...
void | addYCol ()
| Add column as Y. More...
void | addYErrCol ()
| Add column as Y error. More...
void | addZCol ()
| Add column as Z. More...
void | changeColumnsList (const QString &table)
| Update the columns list box to contain the columns of 'table'. More...
void | insertTablesList (const QStringList &tables)
| Insert a list of tables into the tables combo box. More...
void | removeCurve ()
| Delete selected curve. More...
void | setColumnsList (const QStringList &cols)
| Set the internal columns list to 'cols'. More...
void | setColumnsListBoxContents (const QStringList &cols)
| Set the contents of the columns list box to the strings in 'cols'. More...

## Public Member Functions

| PlotWizard (QWidget *parent=0, Qt::WFlags fl=0)
| Constructor. More...

## Private Member Functions

bool | noCurves ()
| Display a warning that a new curve must be added first before the selection of the columns. More...
void | plot2D (const QStringList &)
void | plot3D (const QStringList &)
void | plot3DRibbon (const QStringList &)
QSize | sizeHint () const

## Private Attributes

QComboBox * | boxTables
| Combo box to select the table. More...
QPushButton * | buttonCancel
| Button "cancel". More...
QPushButton * | buttonDelete
| Button "Delete curve". More...
QPushButton * | buttonNew
| Button "New curve". More...
QPushButton * | buttonOk
| Button "Plot". More...
QPushButton * | buttonX
| Button "<->X". More...
QPushButton * | buttonXErr
| Button "<->xErr". More...
QPushButton * | buttonY
| Button "<->Y". More...
QPushButton * | buttonYErr
| Button "<->yErr". More...
QPushButton * | buttonZ
| Button "<->Z". More...
QStringList | columns
| Internal list of columns (contains all columns in all tables) More...
QListWidget * | columnsList
| List of the columns in the selected table. More...
QGroupBox * | groupBox1
| Button group defining the layout. More...
QGroupBox * | groupBox2
| Button group defining the layout. More...
QGroupBox * | groupBox3
| Button group defining the layout. More...
QListWidget * | plotAssociations
| List of the plots to generate. More...

## Detailed Description

A wizard type dialog class to create new plots.

## Constructor & Destructor Documentation

PlotWizard::PlotWizard | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget
  fl | Qt window flags

References accept(), addCurve(), addXCol(), addXErrCol(), addYCol(), addYErrCol(), addZCol(), boxTables, buttonCancel, buttonDelete, buttonNew, buttonOk, buttonX, buttonXErr, buttonY, buttonYErr, buttonZ, changeColumnsList(), columnsList, groupBox1, plotAssociations, and removeCurve().

## Member Function Documentation

void PlotWizard::accept | ( |  | ) |

slot

Accept settings, close the dialog.

References noCurves(), plot2D(), plot3D(), plot3DRibbon(), and plotAssociations.

Referenced by PlotWizard().

void PlotWizard::addCurve | ( |  | ) |

slot

Add new curve.

References boxTables, and plotAssociations.

Referenced by PlotWizard().

void PlotWizard::addXCol | ( |  | ) |

slot

Add column as X.

References columnsList, noCurves(), and plotAssociations.

Referenced by PlotWizard().

void PlotWizard::addXErrCol | ( |  | ) |

slot

Add column as X error.

References columnsList, noCurves(), and plotAssociations.

Referenced by PlotWizard().

void PlotWizard::addYCol | ( |  | ) |

slot

Add column as Y.

References columnsList, noCurves(), and plotAssociations.

Referenced by PlotWizard().

void PlotWizard::addYErrCol | ( |  | ) |

slot

Add column as Y error.

References columnsList, noCurves(), and plotAssociations.

Referenced by PlotWizard().

void PlotWizard::addZCol | ( |  | ) |

slot

Add column as Z.

References columnsList, noCurves(), and plotAssociations.

Referenced by PlotWizard().

void PlotWizard::changeColumnsList | ( | const QString & | table | ) |

slot

Update the columns list box to contain the columns of 'table'.

References columns, and setColumnsListBoxContents().

Referenced by PlotWizard(), and ApplicationWindow::showPlotWizard().

void PlotWizard::insertTablesList | ( | const QStringList & | tables | ) |

slot

Insert a list of tables into the tables combo box.

References boxTables.

Referenced by ApplicationWindow::showPlotWizard().

bool PlotWizard::noCurves | ( |  | ) |

private

Display a warning that a new curve must be added first before the selection of the columns.

References plotAssociations.

Referenced by accept(), addXCol(), addXErrCol(), addYCol(), addYErrCol(), and addZCol().

void PlotWizard::plot2D | ( | const QStringList & | colList | ) |

private

References MultiLayer::activeLayer(), Graph::addErrorBars(), MultiLayer::arrangeLayers(), ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultCurveStyle, ApplicationWindow::defaultSymbolSize, ErrorBarsCurve::Horizontal, Graph::initCurveLayout(), ApplicationWindow::initMultilayerPlot(), Graph::insertCurve(), CurveLayout::lWidth, Graph::newLegend(), ApplicationWindow::setPreferences(), CurveLayout::sSize, ApplicationWindow::table(), Graph::updateAxesTitles(), Graph::updateCurveLayout(), Graph::updatePlot(), and ErrorBarsCurve::Vertical.

Referenced by accept().

void PlotWizard::plot3D | ( | const QStringList & | lst | ) |

private

References Graph3D::addData(), Table::colIndex(), ApplicationWindow::newPlot3D(), and ApplicationWindow::table().

Referenced by accept().

void PlotWizard::plot3DRibbon | ( | const QStringList & | lst | ) |

private

References Graph3D::addRibbon(), ApplicationWindow::d_3D_color_map, ApplicationWindow::newPlot3D(), Graph3D::setDataColorMap(), ApplicationWindow::table(), and Graph3D::update().

Referenced by accept().

void PlotWizard::removeCurve | ( |  | ) |

slot

Delete selected curve.

References plotAssociations.

Referenced by PlotWizard().

void PlotWizard::setColumnsList | ( | const QStringList & | cols | ) |

slot

Set the internal columns list to 'cols'.

References columns.

Referenced by ApplicationWindow::showPlotWizard().

void PlotWizard::setColumnsListBoxContents | ( | const QStringList & | cols | ) |

slot

Set the contents of the columns list box to the strings in 'cols'.

References columnsList.

Referenced by changeColumnsList().

QSize PlotWizard::sizeHint | ( |  | ) | const

private

## Member Data Documentation

QComboBox* PlotWizard::boxTables

private

Combo box to select the table.

Referenced by addCurve(), insertTablesList(), and PlotWizard().

QPushButton* PlotWizard::buttonCancel

private

Button "cancel".

Referenced by PlotWizard().

QPushButton * PlotWizard::buttonDelete

private

Button "Delete curve".

Referenced by PlotWizard().

QPushButton * PlotWizard::buttonNew

private

Button "New curve".

Referenced by PlotWizard().

QPushButton* PlotWizard::buttonOk

private

Button "Plot".

Referenced by PlotWizard().

QPushButton * PlotWizard::buttonX

private

Button "<->X".

Referenced by PlotWizard().

QPushButton * PlotWizard::buttonXErr

private

Button "<->xErr".

Referenced by PlotWizard().

QPushButton * PlotWizard::buttonY

private

Button "<->Y".

Referenced by PlotWizard().

QPushButton * PlotWizard::buttonYErr

private

Button "<->yErr".

Referenced by PlotWizard().

QPushButton * PlotWizard::buttonZ

private

Button "<->Z".

Referenced by PlotWizard().

QStringList PlotWizard::columns

private

Internal list of columns (contains all columns in all tables)

Referenced by changeColumnsList(), and setColumnsList().

QListWidget* PlotWizard::columnsList

private

List of the columns in the selected table.

Referenced by addXCol(), addXErrCol(), addYCol(), addYErrCol(), addZCol(), PlotWizard(), and setColumnsListBoxContents().

QGroupBox* PlotWizard::groupBox1

private

Button group defining the layout.

Referenced by PlotWizard().

QGroupBox * PlotWizard::groupBox2

private

Button group defining the layout.

QGroupBox * PlotWizard::groupBox3

private

Button group defining the layout.

QListWidget * PlotWizard::plotAssociations

private

List of the plots to generate.

Referenced by accept(), addCurve(), addXCol(), addXErrCol(), addYCol(), addYErrCol(), addZCol(), noCurves(), PlotWizard(), and removeCurve().

The documentation for this class was generated from the following files:

- qtiplot/src/core/PlotWizard.h
- qtiplot/src/core/PlotWizard.cpp